package cern.jira.emailhandler;


/**
 * Settings and string constants for the email handler.
 * <p>Released under the BSD License: see file license.txt for details. 
 * 
 * @author <a href="http://draffo.web.cern.ch">Daniele Raffo</a>
 * @version 3.0 (19-3-2009)
 */
public class Settings {

	/** Default issue summary, if the user specified an empty summary. */
	public static final String DEFAULT_SUMMARY = "(no summary)";
	
	public static final String REGEX_ISSUETYPE_BUG = "#BUG";                   // "1" 
	public static final String REGEX_ISSUETYPE_NEW_FEATURE = "#NEWFEATURE";    // "2"
	public static final String REGEX_ISSUETYPE_TASK = "#TASK";                 // "3"
	public static final String REGEX_ISSUETYPE_IMPROVEMENT = "#IMPROVEMENT";   // "4" 
	public static final String REGEX_ISSUETYPE_SUBTASK = "#SUBTASK";           // "5"

	public static final String REGEX_PRIORITY_BLOCKER = "#BLOCKER";     // "1" 
	public static final String REGEX_PRIORITY_CRITICAL = "#CRITICAL";   // "2"
	public static final String REGEX_PRIORITY_MAJOR = "#MAJOR";         // "3"
	public static final String REGEX_PRIORITY_MINOR = "#MINOR";         // "4" 
	public static final String REGEX_PRIORITY_TRIVIAL = "#TRIVIAL";     // "5"
	
	public static final String REGEX_COMPONENT = "#COMPONENT=";

	public static final String REGEX_PROJECTKEY = "#PROJECT=";
	
	public static final String REGEX_ASSIGNEE = "#ASSIGNEE=";

	public static final String REGEX_REPORTER = "#REPORTER=";
	
	public static final String REGEX_DUEDATE = "#DUE=";
	
	public static final String REGEX_ESTIMATE = "#EST=";
	
}

